Summary:	OpenShot - Non-Linear Video Editor for Linux
Name:		openshot
Version:	2.4.0
Release:	1
License:	GPL v3
Group:		X11/Applications
Source0:	https://github.com/OpenShot/openshot-qt/archive/v%{version}.tar.gz
# Source0-md5:	02710eb7698d0cd690b6c6e579ea8e7a
URL:		http://www.openshot.org/
BuildRequires:	python3-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires(post,postun):	scrollkeeper
Requires(post,postun):	shared-mime-info
Requires:	python3-PyQt5
Requires:	python3-PyQt5-uic
Requires:	python3-httplib2
Requires:	python3-libopenshot >= 0.1.8
Requires:	python3-zmq
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenShot Video Editor is a free, open-source, non-linear video editor.
It can create and edit videos and movies using many popular video,
audio, and image formats. Create videos for YouTube, Flickr, Vimeo,
Metacafe, iPod, Xbox, and many more common formats!

Features include:
 - Multiple tracks (layers) Compositing, image overlays, and watermarks
 - Support for image sequences (rotoscoping) Key-frame animation Video
 - and audio effects (chroma-key) Transitions (lumas and masks)

%prep
%setup -q -n %{name}-qt-%{version}

%build
%{py3_build}

%install
rm -rf $RPM_BUILD_ROOT

%{py3_install}

%post
%update_mime_database
%scrollkeeper_update_post

%postun
%update_mime_database
%scrollkeeper_update_postun

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/openshot-qt
%{_datadir}/mime/packages/openshot-qt.xml
%{_datadir}/applications/openshot-qt.desktop
%{_pixmapsdir}/openshot-qt.svg
%{py3_sitescriptdir}/%{name}_qt
%{py3_sitescriptdir}/openshot*.egg-info
%changelog
* Tue Sep 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openshot.git;a=log;h=master

* Tue Sep 12 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> cc5037e
- up to 2.4.0

* Thu May 11 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> f1e714f
- up to 2.3.2

* Sun May 07 2017 Jan Rękorajski <baggins@pld-linux.org> 78365c2
- up to 2.3.1
- updated requires

* Fri Mar 31 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 77dee4b
- up to 2.3.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 78431a9
- python 3.6
- release 2 (by relup.sh)

* Wed Nov 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 20fe2d2
- and delete obsolete patches

* Wed Nov 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c923606
- up to 2.1.0

* Mon Sep 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f9c1857
- rel 8; try to use CRF 18 - https://trac.ffmpeg.org/wiki/Encode/YouTube

* Sun Apr 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d830d42
- rel 7; timeline zoom fix from upstream

* Sun Apr 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 070c5f2
- rel 6; keep py files as these are sometimes needed (IOError: [Errno 2] Nie ma takiego pliku ani katalogu: u'/usr/share/python2.7/site-packages/openshot/blender/scripts/blur.py)

* Sun Sep 22 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> cbdfe44
- rel 5; widgets component was not being installed

* Sun Sep 22 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 96b458a
- rel 3; workaround timeline limitations at bigger zoom levels

* Sun Sep 22 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ac85a64
- rel 3; workaround timeline limitations at bigger zoom levels

* Sun Apr 21 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> aa60403
- rel 3; fix for rel 2 mistake

* Sun Apr 21 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e5a2f03
- rel 2; drop weird locale

* Sun Apr 21 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b14ee2
- up to 1.4.3

* Sun Sep 16 2012 wrobell <wrobell@pld-linux.org> 6441cdc
- ver. 1.4.2

* Tue Jun 21 2011 duddits <duddits@pld-linux.org> 8aa5b72
- bump to 1.3.1

* Fri Apr 01 2011 duddits <duddits@pld-linux.org> 8c0becb
- R: python-httplib2
- %files, still a lot of work ahead in here

* Fri Apr 01 2011 duddits <duddits@pld-linux.org> 6243c2f
- up to 1.3.0
- update URL, Source0

